## openturns 1.23

=== lib/src/Uncertainty/Algorithm/MetaModel/FunctionalChaos/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (AdaptiveStrategy.cxx)
ot_add_source_file (AdaptiveStrategyImplementation.cxx)
ot_add_source_file (FixedStrategy.cxx)
ot_add_source_file (FunctionalChaosAlgorithm.cxx)
ot_add_source_file (FunctionalChaosResult.cxx)
ot_add_source_file (FunctionalChaosSobolIndices.cxx)
ot_add_source_file (ProjectionStrategy.cxx)
ot_add_source_file (ProjectionStrategyImplementation.cxx)
ot_add_source_file (LeastSquaresExpansion.cxx)
ot_add_source_file (IntegrationExpansion.cxx)
ot_add_source_file (LeastSquaresStrategy.cxx)
ot_add_source_file (IntegrationStrategy.cxx)
ot_add_source_file (CleaningStrategy.cxx)
ot_add_source_file (FieldToPointFunctionalChaosAlgorithm.cxx)
ot_add_source_file (FieldFunctionalChaosResult.cxx)
ot_add_source_file (FieldFunctionalChaosSobolIndices.cxx)
ot_add_source_file (PointToFieldFunctionalChaosAlgorithm.cxx)

ot_install_header_file (IntegrationStrategy.hxx)
ot_install_header_file (FixedStrategy.hxx)
ot_install_header_file (ProjectionStrategyImplementation.hxx)
ot_install_header_file (LeastSquaresExpansion.hxx)
ot_install_header_file (IntegrationExpansion.hxx)
ot_install_header_file (LeastSquaresStrategy.hxx)
ot_install_header_file (FunctionalChaosAlgorithm.hxx)
ot_install_header_file (OTFunctionalChaos.hxx)
ot_install_header_file (AdaptiveStrategyImplementation.hxx)
ot_install_header_file (ProjectionStrategy.hxx)
ot_install_header_file (CleaningStrategy.hxx)
ot_install_header_file (FunctionalChaosResult.hxx)
ot_install_header_file (FunctionalChaosSobolIndices.hxx)
ot_install_header_file (AdaptiveStrategy.hxx)
ot_install_header_file (FieldToPointFunctionalChaosAlgorithm.hxx)
ot_install_header_file (FieldFunctionalChaosResult.hxx)
ot_install_header_file (FieldFunctionalChaosSobolIndices.hxx)
ot_install_header_file (PointToFieldFunctionalChaosAlgorithm.hxx)

=== debian/changelog ===
openturns (1.23-5) unstable; urgency=medium

  * Deactivating again Dlib-related tests:
    - on riscv64
    - on loong64, thanks to wuruilong! (Closes: #1071019)

 -- Pierre Gruet <pgt@debian.org>  Tue, 27 Aug 2024 22:13:35 +0200

openturns (1.23-5~exp0) experimental; urgency=medium

  * Enabling again Dlib-related tests, which should pass against dlib/19.24.4

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jun 2024 07:45:25 +0200

openturns (1.23-4) unstable; urgency=medium

  * Deactivating EfficientGlobalOptimization_std test on armel

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Jun 2024 13:58:00 +0200

openturns (1.23-3) unstable; urgency=medium

  * Upload to unstable of new upstream version, building against Python 3.12 is
    now possible (Closes: #1061603)
  * Allowing the package to build on loong64, thanks to wuruilong for the patch

 -- Pierre Gruet <pgt@debian.org>  Sat, 15 Jun 2024 15:29:01 +0200

openturns (1.23-2) experimental; urgency=medium

  * Fixing t_Bonmin_std Python test with a limit for a number of iterations

 -- Pierre Gruet <pgt@debian.org>  Thu, 13 Jun 2024 11:33:42 +0200

openturns (1.23-1) experimental; urgency=medium

  * New upstream version 1.23
  * Updating (build-)dependencies
  * Bumping SONAME to libopenturns0.24
  * Updating d/copyright
  * Raising Standards version to 4.7.0 (no change)
  * Fixing minor spelling mistakes

 -- Pierre Gruet <pgt@debian.org>  Mon, 10 Jun 2024 21:37:42 +0200

openturns (1.22-2) experimental; urgency=medium

  * Skipping more tests failing due to Dlib bugs on some arches

 -- Pierre Gruet <pgt@debian.org>  Wed, 06 Mar 2024 07:56:29 +0100

openturns (1.22-1) experimental; urgency=medium

  * New upstream version 1.22
  * Raising SONAME to libOT0.23, new binary package
  * Removing patch, which has been upstreamed
  * Updating d/not-installed

 -- Pierre Gruet <pgt@debian.org>  Tue, 30 Jan 2024 12:56:54 +0100

openturns (1.21.1-5) unstable; urgency=medium

  * Fixing FTBFS linked to new version of swig (Closes: #1064928)

 -- Pierre Gruet <pgt@debian.org>  Thu, 18 Apr 2024 23:14:42 +0200

=== debian/control ===
Source: openturns
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               bison,
               cmake,
               coinor-libbonmin-dev,
               coinor-libipopt-dev,
               dh-python,
               gfortran,
               flex,
               libblas-dev,
               libboost-math-dev,
               libceres-dev,
               libcminpack-dev,
               libdlib-dev (>= 19.24.4+dfsg),
               libhdf5-dev,
               liblapack-dev,
               libmpc-dev,
               libmpfr-dev,
               libmuparser-dev,
               libnanoflann-dev,
               libnlopt-cxx-dev,
               libpagmo-dev,
               libprimesieve-dev,
               libspectra-dev,
               libtbb-dev,
               libxml2-dev,
               python3-dev,
               swig
Standards-Version: 4.7.0
Homepage: https://openturns.github.io/www/
Vcs-Browser: https://salsa.debian.org/science-team/openturns
Vcs-Git: https://salsa.debian.org/science-team/openturns.git
Rules-Requires-Root: no

Package: libopenturns0.24
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openturns-common (= ${source:Version})
Suggests: python3-openturns
Description: dynamic libraries for OpenTURNS
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * define the outputs of interest and decision criteria;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package provides the dynamic libraries.

Package: libopenturns-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenturns0.24 (= ${binary:Version}),
         libceres-dev
Description: headers and development libraries for OpenTURNS
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * defining the outputs of interest and decision criterion;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity and
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package contains development files needed to build OpenTURNS applications.

Package: openturns-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: generic tool to treat and quantify uncertainties (common files)
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * defining the outputs of interest and decision criterion;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity and
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package contains the configuration file for the versioned library
 package.

Package: python3-openturns
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenturns0.24 (= ${binary:Version}),
         ${python3:Depends}
Provides: ${python3:Provides}
Suggests: python3-matplotlib,
          python3-scipy
Description: Python3 front-end of OpenTURNS (aka TUI)
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * defining the outputs of interest and decision criterion;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity and
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package provides the Python3 bindings to the library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk

# Getting the number of jobs for the Debian build to transmit it to CMake.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	test_makeflags = -j$(NUMJOBS)
endif

# On riscv64, deactivating Dlib-related tests (seems to be a bug in Dlib)
ifeq ($(shell dpkg --print-architecture),riscv64)
    test_discardflags := -E \\\"Dlib_.*|OptimizationAlgorithm_std\\\"
endif

# On loong64, deactivating Dlib tests (seems to be a bug in Dlib)
ifeq ($(shell dpkg --print-architecture),loong64)
    test_discardflags := -E \\\"Dlib_.*|OptimizationAlgorithm_std\\\"
endif

# On armel, deactivating EfficientGlobalOptimization test (can be quite sensitive)
ifeq ($(shell dpkg --print-architecture),armel)
    test_discardflags := -E \\\"EfficientGlobalOptimization_std\\\"
endif

BUILD_DATE = $(shell date --utc --date="@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y %H:%M:%S %z")

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -Bbuilddir -- \
	        -DUSE_TBB:BOOL=ON \
            -Dot_configure_date:STRING='$(BUILD_DATE)' \
            -DUSE_SPHINX:BOOL=OFF \
            -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
            -DCMAKE_INSTALL_PREFIX:PATH=/usr \
            -DCMAKE_INSTALL_LIBDIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)" \
            -DINSTALL_DESTDIR:PATH=$(CURDIR)/debian/tmp \
	        -DCMAKE_UNITY_BUILD=ON -DCMAKE_UNITY_BUILD_BATCH_SIZE=32 \
            -DSWIG_COMPILE_FLAGS:STRING='-O1'

override_dh_auto_build:
	$(MAKE) $(test_makeflags) -C builddir/lib
	$(MAKE) -j1 -C builddir/python
	$(MAKE) $(test_makeflags) -C builddir

override_dh_auto_install:
	dh_auto_install -Bbuilddir
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	eval "LD_LIBRARY_PATH=$${LD_LIBRARY_PATH:+$${LD_LIBRARY_PATH}:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
	  CTEST_OUTPUT_ON_FAILURE=1 \
	  $(MAKE) $(test_makeflags) -C builddir test ARGS=\"$(test_makeflags) $(test_discardflags) -R pyinstallcheck\""
endif

override_dh_auto_test:
	# 'make test' does not build binary tests
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(test_makeflags) -C builddir tests
	eval "CTEST_OUTPUT_ON_FAILURE=1 \
	  $(MAKE) -C builddir test ARGS=\"$(test_makeflags) $(test_discardflags) -R cppcheck\""
endif

override_dh_clean:
	rm -rf builddir
	dh_clean
